# syntax=docker-registry.wikimedia.org/repos/releng/blubber:v0.12.1
version: v4
variants:
  helm:
    base: docker-registry.wikimedia.org/bullseye:20240505
    lives:
      in: /src
    runs:
      insecurely: true
    apt:
      packages:
        - helm3
  helm-lint:
    includes: [helm]
    copies:
      - from: local
        source: .
    entrypoint: [helm, lint]
  build-helm-package:
    includes: [helm]
    builders:
      - custom:
          requirements: [.]
          command: [helm, package, .]
  helm-package:
    copies:
      - from: build-helm-package
        source: '/src/buildkitd-*.tgz'
        destination: /buildkitd.tgz
